## ros-indigo-cob-linear-nav 0.6.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_linear_nav)

find_package(catkin REQUIRED COMPONENTS
  angles
  actionlib
  cob_srvs
  geometry_msgs
  move_base_msgs
  nav_msgs
  roscpp
  tf
)

catkin_package()

include_directories(${catkin_INCLUDE_DIRS})

add_definitions(-std=c++11)

add_executable(${PROJECT_NAME} src/cob_linear_nav.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})

#############
## Install ##
#############

install(TARGETS cob_linear_nav
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-linear-nav (0.6.7-0trusty) trusty; urgency=high

  * Merge pull request #100 <https://github.com/ipa320/cob_navigation/issues/100> from ipa-bnm/fix/simple_goal
    fixed goal Validation
  * Merge pull request #101 <https://github.com/ipa320/cob_navigation/issues/101> from ipa-bnm/fix/angular_dist_calculation
    fixed shortest angular distance calculation
  * fixed calculation of shortest angluar distance between current and desired yaw
  * replaced canTransform with waitForTransform to give move_base some chance receiving the transformation needed for move base goal
  * Contributors: Benjamin Maidel, Felix Messmer, Richard Bormann

 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-linear-nav (0.6.6-0trusty) trusty; urgency=high

  * Merge pull request #97 <https://github.com/ipa320/cob_navigation/issues/97> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #95 <https://github.com/ipa320/cob_navigation/issues/95> from ipa-fxm/less_hysteric_linear_nav
    less hysteric linear nav
  * less hysteric linear nav
  * Merge pull request #91 <https://github.com/ipa320/cob_navigation/issues/91> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #89 <https://github.com/ipa320/cob_navigation/issues/89> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fez, ipa-fxm, ipa-uhr-mk

 -- Felix Zeltner <fez@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-linear-nav (0.6.5-0trusty) trusty; urgency=high

  * add c++11 definitions
  * adjusted look up time stamps and durations of wait for transform
  * added server to set base_frame, included some wait for transfrom and error handling
  * Contributors: ipa-fxm, ipa-srd

 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-linear-nav (0.6.4-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-linear-nav (0.6.3-0trusty) trusty; urgency=high

  * remove trailing whitespace
  * migration to package format v2, indentation fixes
  * Contributors: ipa-mig

 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-linear-nav (0.6.2-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-linear-nav (0.6.1-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-indigo-cob-linear-nav (0.6.0-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Tue, 09 Sep 2014 22:00:00 -0000

ros-indigo-cob-linear-nav (0.5.2-0trusty) trusty; urgency=high

  * linear_nav: changed ROS_INFO to ROS_DEBUG in topicCB
  * cob_linear_nav: fix indentation
  * cob_linear_nav: initialize some more variables, check if received goal has invalid Quaternion
  * cob_linear_nav: change order of nan and high velocity check to catch them with correct error msg
  * cob_linear_nav: now hopefully really found the bug; ros::Time::now()-1 = verybig
  * cob_linear_nav: change assert to try-catch to check that in all modes
  * cob_linear_nav: initialize variable and add assertions
  * Merge remote-tracking branch 'origin-ipa-aub/hydro_dev' into feature/baer_error_control
  * included the option for linear_nav to perform the controller step frequently and update the goal with each topic callback instead of using actions
  * Changed frame_ids to non slashed versions. TF should now work with hydro.
  * add extra install tags to be consistent with rest of repos
  * Contributors: Alexander Bubeck, Florian Mirus, ipa-mig

 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-linear-nav (0.5.1-0trusty) trusty; urgency=high

  * add changelog
  * version bump
  * remove more not needed files
  * adjust CMakeLists and package.xml
  * set author/maintainer email
  * Catkinisation and gitignore.
  * fix wiki links inf manifest.xml and stack.xml
  * transform goal from rviz to /map frame
  * remove unused publisher
  * rearrange stack
  * rename cob_linear_nav to cob_navigation_linear, rearrange again
  * change default parameter
  * tidy up
  * change parameters
  * remove collision avoidance from cob_linear_nav, now handled by cob_collision_velocity_filter
  * add launch test
  * update stack
  * move linear_nav to cob_navigation
  * Contributors: Florian Weisshardt, IPR-SR2, ipa-fmw, ipa-mig, nhg-ipa
  * Catkinisation and gitignore.
  * fix wiki links inf manifest.xml and stack.xml
  * transform goal from rviz to /map frame
  * remove unused publisher
  * rearrange stack
  * rename cob_linear_nav to cob_navigation_linear, rearrange again
  * change default parameter
  * tidy up
  * change parameters
  * remove collision avoidance from cob_linear_nav, now handled by cob_collision_velocity_filter
  * add launch test
  * update stack
  * move linear_nav to cob_navigation
  * Contributors: IPR-SR2, ipa-fmw, ipa-mig, nhg-ipa

 -- Matthias Gruhler <mig@ipa.fraunhofer.de>  Thu, 20 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-cob-linear-nav
Section: misc
Priority: extra
Maintainer: Felix Zeltner <fez@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-angles, ros-indigo-catkin, ros-indigo-cob-srvs, ros-indigo-geometry-msgs, ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-tf
Homepage: http://ros.org/wiki/cob_linear_nav
Standards-Version: 3.9.2

Package: ros-indigo-cob-linear-nav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-angles, ros-indigo-cob-srvs, ros-indigo-geometry-msgs, ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-tf
Description: cob_linear_nav provides a simple navigation instrument driving on a linear path from current position to goal without any planning or obstacle avoidance capabilites.
 Obstacle avoidance should be carried out in other package, e.g. cob_collision_velocity_filter.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-linear-nav//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
